Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.util
Class ImplHelper

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.util.ImplHelper

All Implemented Interfaces:
  java.util.EventListener, javax.jdo.spi.RegisterClassListener

public class ImplHelper
extends java.lang.Object
implements javax.jdo.spi.RegisterClassListener

Provides static access to the `JDOImplHelper` without the need for security checks. Also holds weak references to `RegisterClassListener`s so they can be garbage collected.

Method Summary
`static void` | `addRegisterClassListener(javax.jdo.spi.RegisterClassListener rcl)` Register a `RegisterClassListener`.
`static javax.jdo.spi.JDOImplHelper` | `getJDOHelper()` Return an instanceof the `JDOImplHelper`.
`static java.lang.Object` | `getObjectId(java.lang.Object pc, boolean trans, boolean owner)` Equivalent to `JDOHelper.getObjectId(java.lang.Object)` or `JDOHelper.getTransactionalObjectId(java.lang.Object)`, but can return the oid value of the owning instance for embedded values.
`void` | `registerClass(javax.jdo.spi.RegisterClassEvent ev)` Implementation of the `RegisterClassListener` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJDOHelper

    public static javax.jdo.spi.JDOImplHelper getJDOHelper()

  Return an instanceof the `JDOImplHelper`.

### getObjectId

    public static java.lang.Object getObjectId(java.lang.Object pc,
                                               boolean trans,
                                               boolean owner)

  Equivalent to `JDOHelper.getObjectId(java.lang.Object)` or `JDOHelper.getTransactionalObjectId(java.lang.Object)`, but can return the oid value of the owning instance for embedded values.

### addRegisterClassListener

    public static void addRegisterClassListener(javax.jdo.spi.RegisterClassListener rcl)

  Register a `RegisterClassListener`. The listener will be held with a weak reference so that it can be garbage collected.

### registerClass

    public void registerClass(javax.jdo.spi.RegisterClassEvent ev)

  Implementation of the `RegisterClassListener` interface. Distributes the given event to all registered listeners.

  Specified by:
    `registerClass` in interface `javax.jdo.spi.RegisterClassListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.